ProxyXmlStartTag (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.xpp
Class ProxyXmlStartTag

    java.lang.Object
      org.dom4j.xpp.ProxyXmlStartTag

All Implemented Interfaces:
  org.gjt.xpp.XmlStartTag, org.gjt.xpp.XmlTag

public class ProxyXmlStartTag
extends Object
implements org.gjt.xpp.XmlStartTag

`ProxyXmlStartTag` implements the XPP `XmlSmartTag` interface while creating a dom4j `Element` underneath.

Author:
  James Strachan, Maarten Coene, Wolfgang Baer

Constructor Summary
`ProxyXmlStartTag()`
`ProxyXmlStartTag(Element element)`

Method Summary
`void` | `addAttribute(String namespaceURI, String localName, String rawName, String value)` parameters modeled after SAX2 attribute approach
`void` | `addAttribute(String namespaceURI, String localName, String rawName, String value, boolean isNamespaceDeclaration)`
`void` | `ensureAttributesCapacity(int minCapacity)`
`int` | `getAttributeCount()`
`String` | `getAttributeLocalName(int index)`
`String` | `getAttributeNamespaceUri(int index)`
`String` | `getAttributePrefix(int index)`
`String` | `getAttributeRawName(int index)`
`String` | `getAttributeValue(int index)`
`String` | `getAttributeValueFromName(String namespaceURI, String localName)`
`String` | `getAttributeValueFromRawName(String rawName)`
`DocumentFactory` | `getDocumentFactory()`
`Element` | `getElement()`
`String` | `getLocalName()`
`String` | `getNamespaceUri()`
`String` | `getPrefix()`
`String` | `getRawName()`
`boolean` | `isAttributeNamespaceDeclaration(int index)`
`void` | `modifyTag(String namespaceURI, String lName, String rawName)`
`boolean` | `removeAttributeByName(String namespaceURI, String localName)`
`boolean` | `removeAttributeByRawName(String rawName)`
`void` | `removeAttributes()`
`void` | `removeAtttributes()` Deprecated. Use `removeAttributes()` instead.
`void` | `resetStartTag()`
`void` | `resetTag()`
`void` | `setDocumentFactory(DocumentFactory documentFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyXmlStartTag

    public ProxyXmlStartTag()

### ProxyXmlStartTag

    public ProxyXmlStartTag(Element element)

Method Detail

### resetStartTag

    public void resetStartTag()

  Specified by:
    `resetStartTag` in interface `org.gjt.xpp.XmlStartTag`

### getAttributeCount

    public int getAttributeCount()

  Specified by:
    `getAttributeCount` in interface `org.gjt.xpp.XmlStartTag`

### getAttributeNamespaceUri

    public String getAttributeNamespaceUri(int index)

  Specified by:
    `getAttributeNamespaceUri` in interface `org.gjt.xpp.XmlStartTag`

### getAttributeLocalName

    public String getAttributeLocalName(int index)

  Specified by:
    `getAttributeLocalName` in interface `org.gjt.xpp.XmlStartTag`

### getAttributePrefix

    public String getAttributePrefix(int index)

  Specified by:
    `getAttributePrefix` in interface `org.gjt.xpp.XmlStartTag`

### getAttributeRawName

    public String getAttributeRawName(int index)

  Specified by:
    `getAttributeRawName` in interface `org.gjt.xpp.XmlStartTag`

### getAttributeValue

    public String getAttributeValue(int index)

  Specified by:
    `getAttributeValue` in interface `org.gjt.xpp.XmlStartTag`

### getAttributeValueFromRawName

    public String getAttributeValueFromRawName(String rawName)

  Specified by:
    `getAttributeValueFromRawName` in interface `org.gjt.xpp.XmlStartTag`

### getAttributeValueFromName

    public String getAttributeValueFromName(String namespaceURI,
                                            String localName)

  Specified by:
    `getAttributeValueFromName` in interface `org.gjt.xpp.XmlStartTag`

### isAttributeNamespaceDeclaration

    public boolean isAttributeNamespaceDeclaration(int index)

  Specified by:
    `isAttributeNamespaceDeclaration` in interface `org.gjt.xpp.XmlStartTag`

### addAttribute

    public void addAttribute(String namespaceURI,
                             String localName,
                             String rawName,
                             String value)
                      throws org.gjt.xpp.XmlPullParserException

  parameters modeled after SAX2 attribute approach

  Specified by:
    `addAttribute` in interface `org.gjt.xpp.XmlStartTag`
  Parameters:
    `namespaceURI` - DOCUMENT ME!
    `localName` - DOCUMENT ME!
    `rawName` - DOCUMENT ME!
    `value` - DOCUMENT ME!
  Throws:
    `org.gjt.xpp.XmlPullParserException` - DOCUMENT ME!

### addAttribute

    public void addAttribute(String namespaceURI,
                             String localName,
                             String rawName,
                             String value,
                             boolean isNamespaceDeclaration)
                      throws org.gjt.xpp.XmlPullParserException

  Specified by:
    `addAttribute` in interface `org.gjt.xpp.XmlStartTag`
  Throws:
    `org.gjt.xpp.XmlPullParserException`

### ensureAttributesCapacity

    public void ensureAttributesCapacity(int minCapacity)
                                  throws org.gjt.xpp.XmlPullParserException

  Specified by:
    `ensureAttributesCapacity` in interface `org.gjt.xpp.XmlStartTag`
  Throws:
    `org.gjt.xpp.XmlPullParserException`

### removeAtttributes

    public void removeAtttributes()
                           throws org.gjt.xpp.XmlPullParserException

  Deprecated. Use `removeAttributes()` instead.

  Remove all atributes.

  Throws:
    `org.gjt.xpp.XmlPullParserException`

### removeAttributes

    public void removeAttributes()
                          throws org.gjt.xpp.XmlPullParserException

  Specified by:
    `removeAttributes` in interface `org.gjt.xpp.XmlStartTag`
  Throws:
    `org.gjt.xpp.XmlPullParserException`

### getLocalName

    public String getLocalName()

  Specified by:
    `getLocalName` in interface `org.gjt.xpp.XmlTag`

### getNamespaceUri

    public String getNamespaceUri()

  Specified by:
    `getNamespaceUri` in interface `org.gjt.xpp.XmlTag`

### getPrefix

    public String getPrefix()

  Specified by:
    `getPrefix` in interface `org.gjt.xpp.XmlTag`

### getRawName

    public String getRawName()

  Specified by:
    `getRawName` in interface `org.gjt.xpp.XmlTag`

### modifyTag

    public void modifyTag(String namespaceURI,
                          String lName,
                          String rawName)

  Specified by:
    `modifyTag` in interface `org.gjt.xpp.XmlTag`

### resetTag

    public void resetTag()

  Specified by:
    `resetTag` in interface `org.gjt.xpp.XmlTag`

### removeAttributeByName

    public boolean removeAttributeByName(String namespaceURI,
                                         String localName)
                                  throws org.gjt.xpp.XmlPullParserException

  Specified by:
    `removeAttributeByName` in interface `org.gjt.xpp.XmlStartTag`
  Throws:
    `org.gjt.xpp.XmlPullParserException`

### removeAttributeByRawName

    public boolean removeAttributeByRawName(String rawName)
                                     throws org.gjt.xpp.XmlPullParserException

  Specified by:
    `removeAttributeByRawName` in interface `org.gjt.xpp.XmlStartTag`
  Throws:
    `org.gjt.xpp.XmlPullParserException`

### getDocumentFactory

    public DocumentFactory getDocumentFactory()

### setDocumentFactory

    public void setDocumentFactory(DocumentFactory documentFactory)

### getElement

    public Element getElement()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.